CHIBI-FFI(1)

NAME
chibi-ffi - generate C from Scheme stub files

SYNOPSIS
chibi-ffi [-c] [-f cflags] input.stub [output.c]

DESCRIPTION
chibi-ffi reads in the C function FFI definitions from an input file and outputs appropriate C wrappers into a file with the same base name and the ".c" extension (unless specified otherwise). You can then compile that C file into a shared library:

        chibi-ffi file.stub
        cc -fPIC -shared file.c -lchibi-scheme

If the -c option is specified then chibi-ffi attempts compiling the generated C code for you in one step. In this case, additional flags for the C compiler may be given with the -f option.

The FFI syntax is described in the manual (/usr/share/doc/chibi-scheme/chibi.html, "C FFI" section).

AUTHORS
Alex Shinn

REPORTING BUGS
Please report bugs on Github (https://github.com/ashinn/chibi-scheme).

SEE ALSO
chibi-scheme(1)